Module | Tk::BWidget::DragSite
In: | tk/lib/tkextlib/bwidget/dragsite.rb

### Methods

include register set_drag

### Included Modules

Tk

### Public Class methods

include(klass, type, event)

[Source]

    # File tk/lib/tkextlib/bwidget/dragsite.rb, line 20
      def self.include(klass, type, event)
        tk_call('DragSite::include', klass, type, event)
      end

register(path, keys={})

[Source]

    # File tk/lib/tkextlib/bwidget/dragsite.rb, line 24
      def self.register(path, keys={})
        tk_call('DragSite::register', path, *hash_kv(keys))
      end

set_drag(path, subpath, initcmd, endcmd, force=None)

[Source]

    # File tk/lib/tkextlib/bwidget/dragsite.rb, line 28
      def self.set_drag(path, subpath, initcmd, endcmd, force=None)
        tk_call('DragSite::setdrag', path, subpath, initcmd, endcmd, force)
      end

[Validate]